# SourcePath: atkmm/20180320dev
Summary: Atkmm is the official C++ interface for the ATK accessibility toolkit library.
Name: sony-target-dev-atkmm
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-atkmm
Version: 2.24.2
Release: 12010001
Source: atkmm-%{version}.tar.xz
URL:  http://ftp.gnome.org/pub/gnome/sources/atkmm
License: GPLv2, LGPLv2.1
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}


%description
atkmm is the C++ binding for the ATK library.
This module is part of the GNOME C++ bindings effort.

%package -n %{pkgname}
Summary: Atkmm is the official C++ interface for the ATK accessibility toolkit library.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
atkmm is the C++ binding for the ATK library.
This module is part of the GNOME C++ bindings effort.

%prep
%setup -n atkmm-%{version} -q

%build
%sony_target_dev_setup
%sony_target_dev_configure

make

%install
rm -rf ${RPM_BUILD_ROOT}
%sony_target_dev_setup
%sony_target_dev_makeinstall
%demangle_libtool

# Remove docs and man pages
rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_data_dir}/*

# Move pkgconfig files and .a files
for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_include_dir}/*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/*

%changelog
* Mon May 10 2021 Sony Corporation
- Initial build for CE Linux 12.1.0.X

* Tue Mar 20 2018 Sony Corporation
- Initial build.
